SXACL-USERDEL(1)

NAME
sxacl-userdel - remove an existing user

SYNOPSIS
sxacl userdel [OPTIONS] <username> sx://[profile@]cluster

DESCRIPTION
sxacl userdel removes an existing user from a Skylable SX cluster. By default, it doesn't remove user clones. When all instances of a given user get removed, all volumes owned by that user will be reassigned to the cluster administrator performing the removal.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-a, --all
    With this option also all other instances (clones) of a user will be removed.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To remove the user 'joe' from the cluster run:
sxacl userdel joe sx://admin@cluster

SEE ALSO
sxacl-useradd(1), sxacl-usergetkey(1), sxacl-usernewkey(1), sxacl-userlist(1)